org.keycloak.models.sessions.infinispan.entities

## Class ClientSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.entities.SessionEntity
  - - org.keycloak.models.sessions.infinispan.entities.ClientSessionEntity

- All Implemented Interfaces:
    Serializable

      public class ClientSessionEntity
      extends SessionEntity

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientSessionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAction()`
    `Map<String,ClientSessionModel.ExecutionStatus>` | `getAuthenticatorStatus()`
    `String` | `getAuthMethod()`
    `String` | `getAuthUserId()`
    `String` | `getClient()`
    `Map<String,String>` | `getNotes()`
    `Set<String>` | `getProtocolMappers()`
    `String` | `getRedirectUri()`
    `Set<String>` | `getRequiredActions()`
    `Set<String>` | `getRoles()`
    `int` | `getTimestamp()`
    `String` | `getUserSession()`
    `Map<String,String>` | `getUserSessionNotes()`
    `void` | `setAction(String action)`
    `void` | `setAuthenticatorStatus(Map<String,ClientSessionModel.ExecutionStatus> authenticatorStatus)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setAuthUserId(String authUserId)`
    `void` | `setClient(String client)`
    `void` | `setNotes(Map<String,String> notes)`
    `void` | `setProtocolMappers(Set<String> protocolMappers)`
    `void` | `setRedirectUri(String redirectUri)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setTimestamp(int timestamp)`
    `void` | `setUserSession(String userSession)`
    `void` | `setUserSessionNotes(Map<String,String> userSessionNotes)`

    - ### Methods inherited from class org.keycloak.models.sessions.infinispan.entities.SessionEntity

      `equals, getId, getRealm, hashCode, setId, setRealm`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientSessionEntity

          public ClientSessionEntity()

  - ### Method Detail

    - #### getClient

          public String getClient()

    - #### setClient

          public void setClient(String client)

    - #### getUserSession

          public String getUserSession()

    - #### setUserSession

          public void setUserSession(String userSession)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### getRedirectUri

          public String getRedirectUri()

    - #### setRedirectUri

          public void setRedirectUri(String redirectUri)

    - #### getTimestamp

          public int getTimestamp()

    - #### setTimestamp

          public void setTimestamp(int timestamp)

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### getProtocolMappers

          public Set<String> getProtocolMappers()

    - #### setProtocolMappers

          public void setProtocolMappers(Set<String> protocolMappers)

    - #### getNotes

          public Map<String,String> getNotes()

    - #### setNotes

          public void setNotes(Map<String,String> notes)

    - #### getAuthenticatorStatus

          public Map<String,ClientSessionModel.ExecutionStatus> getAuthenticatorStatus()

    - #### setAuthenticatorStatus

          public void setAuthenticatorStatus(Map<String,ClientSessionModel.ExecutionStatus> authenticatorStatus)

    - #### getAuthUserId

          public String getAuthUserId()

    - #### setAuthUserId

          public void setAuthUserId(String authUserId)

    - #### getUserSessionNotes

          public Map<String,String> getUserSessionNotes()

    - #### setUserSessionNotes

          public void setUserSessionNotes(Map<String,String> userSessionNotes)

    - #### getRequiredActions

          public Set<String> getRequiredActions()

Copyright © 2016 JBoss by Red Hat. All rights reserved.